---
updatedAt: 2026-03-05T09:18:11.000Z
agentTools:
  projectIndex: https://neutronpay.readme.io/llms.txt
---

# List transactions

Retrieve transactions specified by the given date range

List transactions for your account with filtering by time range, payment method, and status. Supports pagination.

### Example Request

```bash
# Last 7 days, completed transactions only
curl "https://api.neutron.me/api/v2/transaction?time=7d&txnStatuses=completed&limit=20&page=1" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

### Query Parameters

| Parameter             | Type   | Description                                                 |
| --------------------- | ------ | ----------------------------------------------------------- |
| `time`                | string | Time range: `1d`, `7d`, `30d`, `3m`, `6m`, `1y`, or `other` |
| `startTime`           | string | ISO timestamp — only used when `time=other`                 |
| `endTime`             | string | ISO timestamp — only used when `time=other`                 |
| `txnStatuses`         | string | Filter by state (e.g., `completed`, `quoted`, `failed`)     |
| `srcMethods`          | string | Filter by source method (e.g., `lightning`, `neutronpay`)   |
| `destMethods`         | string | Filter by destination method                                |
| `excludedSrcMethods`  | string | Exclude specific source methods                             |
| `excludedDestMethods` | string | Exclude specific destination methods                        |
| `limit`               | number | Results per page                                            |
| `page`                | number | Page number                                                 |

### Custom Date Range

To use a specific date range, set `time=other` with `startTime` and `endTime`:

```bash
curl "https://api.neutron.me/api/v2/transaction?time=other&startTime=2026-02-01T00:00:00Z&endTime=2026-02-08T23:59:59Z" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

> ⚠️ When `time` is set to anything other than `other`, the `startTime` and `endTime` parameters are **ignored**.

### Filter Examples

```bash
# All Lightning receives in the last 30 days
?time=30d&srcMethods=lightning

# Failed on-chain sends
?time=7d&destMethods=on-chain&txnStatuses=failed

# Everything except internal swaps
?time=30d&excludedSrcMethods=neutronpay&excludedDestMethods=neutronpay
```

### Example Response

```json
{
  "data": [
    {
      "txnId": "5e25d2f4-9bca-4b7a-a1ad-2cf056100cb6",
      "accountId": "ne01-abc123def456",
      "txnState": "completed",
      "sourceReq": {
        "ccy": "BTC",
        "method": "lightning",
        "amtRequested": 0.0001,
        "amtSettled": 0.0001
      },
      "destReq": {
        "ccy": "BTC",
        "method": "neutronpay",
        "amtRequested": 0.0001,
        "amtSettled": 0.0001
      },
      "fxRate": 1,
      "createdAt": 1770342000000
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 145
  }
}
```

### Related

* [Get transaction status](/reference/gettransactionstatus) — Get a single transaction's details
* [Transaction Status Types](/reference/transaction-status-types) — All states explained
* [Webhook Guide](/reference/purpose) — Get real-time notifications instead of polling

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Neutronpay API",
    "version": "2.2.6",
    "description": "Neutron API Reference"
  },
  "servers": [
    {
      "url": "https://api.neutron.me",
      "description": "Development environment"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Transactions",
      "description": "Transaction management endpoints"
    }
  ],
  "paths": {
    "/api/v2/transaction": {
      "get": {
        "summary": "List transactions",
        "description": "Retrieve transactions specified by the given date range",
        "operationId": "listTransactions",
        "tags": [
          "Transactions"
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "Success": {
                    "summary": "Success",
                    "value": "{\n  \"totalCount\": 1,\n  \"totalPages\": 1,\n  \"currentPage\": 1,\n  \"currentPageCount\": 1,\n  \"data\": [\n    {\n      \"txnId\": \"5531ca38-619a-458f-8f52-430e7dea6ea0\",\n      \"accountId\": \"nw01-40dabb76952449519dfa0d4b48e15990\",\n      \"accountDisplayName\": \"neutronpay\",\n      \"extRefId\": \"5531ca38-619a-458f-8f52-430e7dea6ea0\",\n      \"sourceReq\": {\n        \"accountId\": \"nw01-40dabb76952449519dfa0d4b48e15990\",\n        \"ccy\": \"BTC\",\n        \"method\": \"neutronpay\",\n        \"amtRequested\": 0.001,\n        \"kyc\": {\n          \"type\": \"individual\",\n          \"details\": {\n            \"legalFullName\": \"John Doe\",\n            \"countryCode\": \"CA\"\n          }\n        },\n      },\n      \"destReq\": {\n        \"accountId\": \"nw01-40dabb76952449519dfa0d4b48e15990\",\n        \"ccy\": \"BTC\",\n        \"method\": \"on-chain\",\n        \"amtRequested\": 0.001,\n        \"kyc\": {\n          \"type\": \"individual\",\n          \"details\": {\n            \"legalFullName\": \"John Doe\",\n            \"countryCode\": \"CA\"\n          }\n        },\n        \"reqDetails\": {\n          \"address\": \"2Mwq9GmtPWxHaaDqhCYQ8dcmfaUr8nhBtN7\",\n        },\n      },\n      \"txnState\": \"quoted\",\n      \"createAt\": 1747820419387,\n      \"expiresAt\": 1747820719829,\n      \"updatedAt\": 1747820419829,\n      \"txnType\": \"payout\"\n    }\n  ]\n}"
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "description": "Number of results per page ",
            "schema": {
              "type": "integer",
              "default": "20"
            }
          },
          {
            "name": "page",
            "in": "query",
            "required": false,
            "description": "",
            "schema": {
              "type": "integer",
              "default": "1"
            }
          },
          {
            "name": "time",
            "in": "query",
            "required": false,
            "description": "Time scale to retrieve transactions for, valid values: \"1d\", \"7d\", \"30d\", \"3m\", \"6m\", \"1y\", \"other\". For custom time using start and end time, must use \"other\" (the rest will ignore the start and end time)",
            "schema": {
              "type": "string",
              "default": "7d"
            }
          },
          {
            "name": "startTime",
            "in": "query",
            "required": false,
            "description": "ISO timestamp to filter from (inclusive). Only used when \"time\" is set to \"other\", otherwise ignored.",
            "schema": {
              "type": "string",
              "format": "date-time",
              "default": ""
            }
          },
          {
            "name": "endTime",
            "in": "query",
            "required": false,
            "description": "ISO timestamp to filter to (inclusive). Only used when \"time\" is set to \"other\", otherwise ignored.",
            "schema": {
              "type": "string",
              "format": "date-time",
              "default": ""
            }
          },
          {
            "name": "srcMethods",
            "in": "query",
            "required": false,
            "description": "",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "destMethods",
            "in": "query",
            "required": false,
            "description": "",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "excludedSrcMethods",
            "in": "query",
            "required": false,
            "description": "",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "excludedDestMethods",
            "in": "query",
            "required": false,
            "description": "",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "txnStatuses",
            "in": "query",
            "required": false,
            "description": "Filter by status (e.g. completed, quoted)",
            "schema": {
              "type": "array",
              "default": "",
              "items": {
                "type": "string"
              }
            }
          }
        ]
      }
    }
  },
  "x-readme": {}
}
```